Skip to main content
GET
/
api
/
v1
/
worker-queues
/
{queue_id}
/
workflows
List Queue Workflows
curl --request GET \
  --url https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/workflows \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/workflows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/workflows', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "workflows": [
    {
      "workflow_id": "<string>",
      "run_id": "<string>",
      "task_queue": "<string>",
      "status": "<string>",
      "execution_id": "<string>",
      "workflow_type": "<string>",
      "worker_id": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "close_time": "2023-11-07T05:31:56Z",
      "attempt": 1,
      "history_length": 0
    }
  ],
  "total": 123,
  "pending_count": 0,
  "running_count": 0,
  "completed_count": 0,
  "failed_count": 0
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Path Parameters

queue_id
string
required

Query Parameters

status_filter
string | null
limit
integer
default:100

Response

Successful Response

Response for list queue workflows

workflows
WorkflowListItem · object[]
required

List of workflows

total
integer
required

Total number of workflows

pending_count
integer
default:0

Number of pending workflows

running_count
integer
default:0

Number of running workflows

completed_count
integer
default:0

Number of completed workflows

failed_count
integer
default:0

Number of failed workflows